Package org.wso2.carbon.deployment.synchronizer.stub.types

# Interface DeploymentSynchronizerAdmin

All Known Implementing Classes:
  `DeploymentSynchronizerAdminStub`

public interface DeploymentSynchronizerAdmin

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkout()`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `commit()`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `disableSynchronizerForCarbonRepository()`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `enableSynchronizerForCarbonRepository(DeploymentSynchronizerConfiguration config25)`
  Auto generated method signature for Asynchronous Invocations
  `long`
  `getLastCheckoutTime()`
  Auto generated method signature
  `long`
  `getLastCommitTime()`
  Auto generated method signature
  `RepositoryConfigParameter[]`
  `getParamsByRepositoryType(String repositoryType11)`
  Auto generated method signature
  `String[]`
  `getRepositoryTypes()`
  Auto generated method signature
  `DeploymentSynchronizerConfiguration`
  `getSynchronizerConfigurationForCarbonRepository()`
  Auto generated method signature
  `void`
  `startgetLastCheckoutTime(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetLastCommitTime(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetParamsByRepositoryType(String repositoryType11, DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetRepositoryTypes(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetSynchronizerConfigurationForCarbonRepository(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startsynchronizerEnabledForCarbonRepository(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `boolean`
  `synchronizerEnabledForCarbonRepository()`
  Auto generated method signature
  `void`
  `updateSynchronizerForCarbonRepository(DeploymentSynchronizerConfiguration config16)`
  Auto generated method signature for Asynchronous Invocations

- ## Method Details

  - ### getRepositoryTypes

    String[] getRepositoryTypes() throws RemoteException
    Auto generated method signature
    Parameters:
      `getRepositoryTypes6` -
    Throws:
      `RemoteException`

  - ### startgetRepositoryTypes

    void startgetRepositoryTypes(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getRepositoryTypes6` -
    Throws:
      `RemoteException`

  - ### disableSynchronizerForCarbonRepository

    void disableSynchronizerForCarbonRepository() throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature for Asynchronous Invocations
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### getParamsByRepositoryType

    RepositoryConfigParameter[] getParamsByRepositoryType(String repositoryType11) throws RemoteException
    Auto generated method signature
    Parameters:
      `getParamsByRepositoryType10` -
    Throws:
      `RemoteException`

  - ### startgetParamsByRepositoryType

    void startgetParamsByRepositoryType(String repositoryType11, DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getParamsByRepositoryType10` -
    Throws:
      `RemoteException`

  - ### commit

    void commit() throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature for Asynchronous Invocations
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### updateSynchronizerForCarbonRepository

    void updateSynchronizerForCarbonRepository(DeploymentSynchronizerConfiguration config16) throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature for Asynchronous Invocations
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### checkout

    void checkout() throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature for Asynchronous Invocations
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### getSynchronizerConfigurationForCarbonRepository

    DeploymentSynchronizerConfiguration getSynchronizerConfigurationForCarbonRepository() throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature
    Parameters:
      `getSynchronizerConfigurationForCarbonRepository18` -
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### startgetSynchronizerConfigurationForCarbonRepository

    void startgetSynchronizerConfigurationForCarbonRepository(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getSynchronizerConfigurationForCarbonRepository18` -
    Throws:
      `RemoteException`

  - ### synchronizerEnabledForCarbonRepository

    boolean synchronizerEnabledForCarbonRepository() throws RemoteException
    Auto generated method signature
    Parameters:
      `synchronizerEnabledForCarbonRepository21` -
    Throws:
      `RemoteException`

  - ### startsynchronizerEnabledForCarbonRepository

    void startsynchronizerEnabledForCarbonRepository(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `synchronizerEnabledForCarbonRepository21` -
    Throws:
      `RemoteException`

  - ### enableSynchronizerForCarbonRepository

    void enableSynchronizerForCarbonRepository(DeploymentSynchronizerConfiguration config25) throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature for Asynchronous Invocations
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### getLastCheckoutTime

    long getLastCheckoutTime() throws RemoteException
    Auto generated method signature
    Parameters:
      `getLastCheckoutTime26` -
    Throws:
      `RemoteException`

  - ### startgetLastCheckoutTime

    void startgetLastCheckoutTime(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getLastCheckoutTime26` -
    Throws:
      `RemoteException`

  - ### getLastCommitTime

    long getLastCommitTime() throws RemoteException
    Auto generated method signature
    Parameters:
      `getLastCommitTime29` -
    Throws:
      `RemoteException`

  - ### startgetLastCommitTime

    void startgetLastCommitTime(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getLastCommitTime29` -
    Throws:
      `RemoteException`